Download it now!
Bug 51232 - EDITING: CRASH when paste in outline view after SLIDESHOW
Summary: EDITING: CRASH when paste in outline view after SLIDESHOW
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium critical
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0 target:4.0.0
Keywords:
Depends on:
Blocks: mab4.0
  Show dependency treegraph
 
Reported: 2012-06-19 05:28 UTC by Rainer Bielefeld Retired
Modified: 2013-02-05 08:47 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-06-19 05:28:41 UTC
Steps how to reproduce with Master " 3.7.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 1d1c70d]" (tinderbox: W2008R2@20, pull time 2012-06-18 08:23:14):

Follow instruction in original AOOo report, LibO will crash. Seems crash is not limited to clipboard contents "text", I also reproduced the crash with copy / paste a DRAW rectangle

Already reproducible with OOo 3.2., so probably inherited from OOo

Also see that with LibO 3.5.3 and Ubuntu 12 (VirtualBox), I sen an Ubuntu Crash report

NEW due to AOOo report
Comment 1 Rainer Bielefeld Retired 2012-06-19 05:31:55 UTC
Dataloss / Crash, so Critical

@Thorsten:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf.
Comment 3 Rainer Bielefeld Retired 2013-01-22 13:29:13 UTC
Still [Reproducible] with server installation of  "4.1.0.0.alpha0 (Build ID: 0ff470cff6ecc436e723af6a60986c8eefaba7b) TinderBox: Win-x86@6, Branch:master, Time: 2013-01-19 22:38:36  - ENGLISH UI / German Locale  on German WIN7 Home Premium (64bit) with LO41 Masters User Profile

Crash is not limited to Writer Text clipboard contents, LibO also crashes when in clipboard is DRAW object, but not with Calc cells and irfanview picture.

Also crashes when dangerous contents comes to clipboard after SLIDESHOW has been terminated.

I shift this one from mab3.5 to mab3.6
Comment 4 Rainer Bielefeld Retired 2013-01-22 13:33:14 UTC
Damned, got the wrong MAB, or may be my subconscious acted somehow wise ...
Comment 5 Not Assigned 2013-01-28 13:35:54 UTC
Herbert Dürr committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7e8e9031c6ef46d67d5579ca42d0c0f5975d4f98

fdo#51232: i#119987# fix Impress crash when pasting text under Outline view



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Jorendc 2013-01-28 14:13:06 UTC
(In reply to comment #5)
> Herbert Dürr committed a patch related to this issue.
> It has been pushed to "master":

Thanks for that patch!
I 'git pull -r' and did a 'make sd'. This fixed the problem (text is pasted without crash).
Comment 7 Not Assigned 2013-01-28 14:49:08 UTC
Herbert Dürr committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=639f739fbcfb5421c7b7173c700136f169e38bc8&h=libreoffice-4-0

fdo#51232: i#119987# fix Impress crash when pasting text under Outline view


It will be available in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Not Assigned 2013-02-01 17:38:47 UTC
Herbert Dürr committed a patch related to this issue.
It has been pushed to "libreoffice-4-0-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=75d6a308afb5265c9a8cbcc0e6af2f624b9d1b16&h=libreoffice-4-0-0

fdo#51232: i#119987# fix Impress crash when pasting text under Outline view


It will be available already in LibreOffice 4.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.